libnvme(2)

NAME
struct nvme_host_metadata - Host Metadata Data Structure

SYNOPSIS
struct nvme_host_metadata {
__u8 ndesc;
__u8 rsvd1;
union {
struct nvme_metadata_element_desc descs[0];
__u8 descs_buf[4094];
};
};

Members

ndesc
    Number of metadata element descriptors

rsvd1
    Reserved

{unnamed_union}
    anonymous

descs
    Metadata element descriptors

descs_buf
    Metadata element descriptor buffer